## tmfs 3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(TMFS CXX)

set(Boost_USE_STATIC_LIBS        OFF)
set(Boost_USE_MULTITHREADED      OFF)
set(Boost_USE_STATIC_RUNTIME     OFF)
set(Boost_DEBUG                  OFF)
find_package(Boost 1.46 COMPONENTS system filesystem)

find_package(PkgConfig)
pkg_check_modules(FUSE REQUIRED fuse)

add_definitions(${FUSE_CFLAGS} -Wall)
include_directories(${Boost_INCLUDE_DIRS})

add_executable(tmfs
  src/main.cc
  src/readdir.cc
  src/read.cc
  src/getattr.cc
  src/get_real_path.cc
)

link_directories(${FUSE_LIBRARY_DIRS} ${Boost_LIBRARY_DIRS})
target_link_libraries(tmfs ${FUSE_LIBRARIES} ${Boost_LIBRARIES})
install(TARGETS tmfs RUNTIME DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
              GROUP_READ GROUP_EXECUTE
              WORLD_READ WORLD_EXECUTE)

=== debian/changelog ===
tmfs (3-2build6) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:32:58 +0000

tmfs (3-2build5) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:50:28 +0000

tmfs (3-2build4) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:56:11 +0000

tmfs (3-2build3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:25:24 +0100

tmfs (3-2build2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:40 +0100

tmfs (3-2build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:44 +0100

tmfs (3-2) unstable; urgency=low

  * Update license -- debian/* changes are under the same license as upstream
  * remove unneeded rules hardening line.

 -- Nicholas Robinson-Wall <nick@robinson-wall.com>  Wed, 14 Nov 2012 07:38:26 -0500

tmfs (3-1) unstable; urgency=low

  * Initial release (Closes: #689630)

 -- Nicholas Robinson-Wall <nick@robinson-wall.com>  Tue, 30 Oct 2012 20:28:24 +0000

=== debian/control ===
Source: tmfs
Section: otherosfs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicholas Robinson-Wall <nick@robinson-wall.com>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cmake, pkg-config, libfuse-dev,
 libboost-filesystem-dev, libboost-system-dev
Standards-Version: 3.9.3
Homepage: https://github.com/abique/tmfs
Vcs-Git: git://git.debian.org/collab-maint/tmfs.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tmfs.git;a=summary

Package: tmfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fuse
Description: Apple Time Machine FUSE mount
 Time Machine File System is a read-only virtual filesystem
 which helps you to read your Apple Time Machine Backup by
 reconstructing the hard-linked directories from the HFS+
 metadata directory.
 .
 You can browse the tmfs mounted Time Machine normally and
 easily recover data from any backup point contained within.

## tmfs 7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(TMFS CXX)

set(CMAKE_CXX_STANDARD 17)

find_package(PkgConfig)
pkg_check_modules(FUSE REQUIRED fuse)

add_definitions(${FUSE_CFLAGS} -Wall)
include_directories(${Boost_INCLUDE_DIRS})

add_executable(tmfs
  src/main.cc
  src/readdir.cc
  src/read.cc
  src/readlink.cc
  src/getattr.cc
  src/get_real_path.cc
)

link_directories(${FUSE_LIBRARY_DIRS})
target_link_libraries(tmfs ${FUSE_LIBRARIES})
install(TARGETS tmfs RUNTIME DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
              GROUP_READ GROUP_EXECUTE
              WORLD_READ WORLD_EXECUTE)

=== debian/changelog ===
tmfs (7-1) unstable; urgency=medium

  * Team upload by Package Salvage team
    Closes: #1085163

  [ наб ]
  * Standards-Version: 3.9.3 -> 4.7.0
  * Vcs-Git: https://salsa.debian.org/salvage-team/tmfs.git
  * d/watch: fix
  * New upstream version 7 (Closes: #970856, #1081667)
  * Drop all patches, applied upstream
  * Import clean-rebased upstream PR #35, build with FUSE3
    Closes: #1084402
  * d/control: Build-Depends: -libboost-*-dev, libfuse{=> 3}-dev
  * d/control: Suggests: fuse => fuse3
  * d/rules: CPPFLAGS += -D_FILE_OFFSET_BITS=64 to fix build on i386

  [ Andreas Tille ]
  * debhelper-compat = 13
  * Reorder sequence of d/control fields by cme (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Propagate hardening options

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 05 Nov 2024 15:02:30 +0100

=== debian/control ===
Source: tmfs
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Nicholas Robinson-Wall <nick@robinson-wall.com>
Section: otherosfs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkgconf,
               libfuse3-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/tmfs
Vcs-Git: https://salsa.debian.org/salvage-team/tmfs.git
Homepage: https://github.com/abique/tmfs
Rules-Requires-Root: no

Package: tmfs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: fuse3
Description: Apple Time Machine FUSE mount
 Time Machine File System is a read-only virtual filesystem
 which helps you to read your Apple Time Machine Backup by
 reconstructing the hard-linked directories from the HFS+
 metadata directory.
 .
 You can browse the tmfs mounted Time Machine normally and
 easily recover data from any backup point contained within.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CPPFLAGS += -D_FILE_OFFSET_BITS=64

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
	https://github.com/abique/tmfs/tags \
	(?:.*?/)?r@ANY_VERSION@@ARCHIVE_EXT@
